aboutsummaryrefslogtreecommitdiffstats
path: root/community/duo_unix
diff options
context:
space:
mode:
authorPaul Morgan <jumanjiman@gmail.com>2016-01-12 04:50:28 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-01-19 11:12:23 +0000
commitbdec50e9793a2e95c14be561f289e1d6b4271496 (patch)
treeb0134615584c7d258c30c96b5309892898633aaf /community/duo_unix
parent23beb68e83fd636651b57115f95dc605906cc4ad (diff)
downloadaports-bdec50e9793a2e95c14be561f289e1d6b4271496.tar.gz
aports-bdec50e9793a2e95c14be561f289e1d6b4271496.tar.bz2
aports-bdec50e9793a2e95c14be561f289e1d6b4271496.tar.xz
community/duo_unix: move from testing
Diffstat (limited to 'community/duo_unix')
-rw-r--r--community/duo_unix/APKBUILD49
1 files changed, 49 insertions, 0 deletions
diff --git a/community/duo_unix/APKBUILD b/community/duo_unix/APKBUILD
new file mode 100644
index 0000000000..db9b016a8f
--- /dev/null
+++ b/community/duo_unix/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer: Paul Morgan <jumanjiman@gmail.com>
+pkgname=duo_unix
+pkgver=1.9.17
+pkgrel=1
+pkgdesc="duosecurity.com two-factor authentication"
+url="https://duo.com/support/documentation/duounix"
+arch="all"
+license="GPL2"
+depends="openssl zlib"
+depends_dev="libc-dev openssl-dev zlib-dev"
+makedepends="$depends_dev"
+install=""
+options="suid"
+subpackages="$pkgname-dev $pkgname-doc"
+source="https://dl.duosecurity.com/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc/duo \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="7c7ecf9bb76d40da2ce20807e81850b6 duo_unix-1.9.17.tar.gz"
+sha256sums="d841fb7cf48013d25c2abe882aa1888f230b8414b71ef5898ca988d000b5953a duo_unix-1.9.17.tar.gz"
+sha512sums="b62ce265fc6f5f951bcd42026adeff312fb127e46ad87a830f75fe42cfc5060541f3ff4b3ff7d32a8b56b39ef6c58a893d3fd6df8b9eca78d9e89c242f532626 duo_unix-1.9.17.tar.gz"